Package org.pushingpixels.substance.swingx

# Class SubstanceTaskPaneUI.SubstancePaneBorder

java.lang.Object
org.pushingpixels.substance.swingx.SubstanceTaskPaneUI.SubstancePaneBorder

All Implemented Interfaces:
  `Border`, `UIResource`

Enclosing class:
  `SubstanceTaskPaneUI`

protected class SubstanceTaskPaneUI.SubstancePaneBorder extends Object
Pane border for task pane.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Icon`
`collapsedIcon`
`protected Icon`
`expandedIcon`

## Constructor Summary

Constructors
Constructor
Description
`SubstancePaneBorder()`
Creates a new pane border.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureLabel(org.jdesktop.swingx.JXTaskPane group)`
`protected Color`
`getPaintColor(org.jdesktop.swingx.JXTaskPane group)`
`protected boolean`
`isMouseOverBorder()`
`protected void`
`paintExpandedControls(org.jdesktop.swingx.JXTaskPane group, Graphics g, int x, int y, int width, int height)`
`protected void`
`paintFocus(Graphics g, Color paintColor, int x, int y, int width, int height)`
`protected void`
`paintTitleBackground(org.jdesktop.swingx.JXTaskPane group, Graphics g)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### expandedIcon

protected Icon expandedIcon

### collapsedIcon

protected Icon collapsedIcon

## Constructor Details

### SubstancePaneBorder

public SubstancePaneBorder()
Creates a new pane border.

## Method Details

### paintTitleBackground

protected void paintTitleBackground(org.jdesktop.swingx.JXTaskPane group, Graphics g)

### getPaintColor

protected Color getPaintColor(org.jdesktop.swingx.JXTaskPane group)

### paintExpandedControls

protected void paintExpandedControls(org.jdesktop.swingx.JXTaskPane group, Graphics g, int x, int y, int width, int height)

### isMouseOverBorder

protected boolean isMouseOverBorder()

### paintFocus

protected void paintFocus(Graphics g, Color paintColor, int x, int y, int width, int height)

### configureLabel

protected void configureLabel(org.jdesktop.swingx.JXTaskPane group)